/*
 * UNC0xx firmware. (c) Unicontrollers, Ltd., 2010-2014
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file control.h
 * Interface for control request handling and answering
 *
 * Written by Andrey V. Stolyarov
 *
 */


#ifndef CONTROL_H_SENTRY
#define CONTROL_H_SENTRY

void start_incoming_request(uint8_t cmdcode);

/* returns 1 if no more data is expected */
uint8_t process_incoming_data(uint8_t *data, uint8_t len);

/* returns response length */
uint8_t start_data_request(uint8_t cmdcode);

extern uint8_t *transfer_data_pointer;

#endif
