/* This header is used for building static version of the
 * unc_chown program and is based on the code from Musl-libc,
 * modified by Andrey V. Stolyarov, but no additional legal
 * restrictions are imposed with the modification.
 *
 * The following (original Musl's) copyright notice applies to this file.
 */


/* 
 * ----------------------------------------------------------------------
 * Copyright © 2005-2014 Rich Felker, et al.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * ----------------------------------------------------------------------
 */

struct passwd
{
        char *pw_name;
        char *pw_passwd;
        int pw_uid;
        int pw_gid;
        char *pw_gecos;
        char *pw_dir;
        char *pw_shell;
};

struct passwd *getpwnam (const char *);

struct group
{
        char *gr_name;
        char *gr_passwd;
        int gr_gid;
        char **gr_mem;
};

struct group  *getgrnam(const char *);
