/*
 * UNC0xx firmware. (c) Unicontrollers, Ltd., 2010-2014
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file feat_set.c
 * The particular set of optional features.  You can disable some of them
 * in case you're in a terrible shortage of bytes
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef FEAT_SET_H_SENTRY
#define FEAT_SET_H_SENTRY

#define UNC_FEATURE_HANDLE_CONN_BIT 1         /* 8 bytes */
#define UNC_FEATURE_READ_1WIRE_DATA_BIT 1     /* 6 bytes */
#define UNC_FEATURE_TEMP_ACTION_SCAN_BIT 1    /* 8 bytes */

#define UNC_FEATURE_DUMP_EEPROM 1             /* 58 bytes */


#endif
