/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2012, 2013
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file unc_1w.h
 * Interface to the 1wire subsystem
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef UNC_1W_H_SENTRY
#define UNC_1W_H_SENTRY

void unc1w_init();
void unc1w_hook();

void perform_1wire_action(uint8_t action);


#if 0      /* takes too much memory; no sence to have */
void replay_70_reg(uint8_t reg_n);
#endif

#endif
