/*
 * UNC0xx GUI-based software. (c) Unicontrollers, Ltd., 2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file guiabs.hpp
 * Headers of functions to be called from the main program in
 * order to initialize and run the GUI
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef UNCMON_GUIABS_HPP_SENTRY
#define UNCMON_GUIABS_HPP_SENTRY

void uncmon_gui_init(class UncDeviceCollection *devcoll);
void uncmon_gui_run(const char *appname);
void uncmon_gui_cleanup();

#endif
